require 'uu/os/application/logger_middleware'
require 'uu/os/application/error_handling_middleware'
require 'uu/os/application/authentication_middleware'
require 'uu/os/application/parameter_parse_middleware'
require 'uu/os/cmd/command_context_middleware'

module UU
  module OS
    module CMD

      # @private
      class MiddlewaresLoader # :nodoc:

        def self.on_server_startup(ctx)
           ctx.use_middleware Rack::CommonLogger if ctx.development_mode?
           ctx.use_middleware UU::OS::Application::LoggerMiddleware
           ctx.use_middleware UU::OS::Application::ErrorHandlingMiddleware
           ctx.use_middleware UU::OS::Application::AuthenticationMiddleware
           ctx.use_middleware UU::OS::Application::ParameterParseMiddleware
           ctx.use_middleware UU::OS::CMD::CommandContextMiddleware
        end

      end
    end
  end
end
